Subject: Re: [Fecframe] COMMENT: draft-ietf-fecframe-framework

From: "David Harrington" <[email-masked]>
Date: Fri, 24 Sep 2010 09:34:17 -0400

Hi,

Many of the comments should be fairly simple to address.

Marshall Eubanks did a tsv-dir review that discusses the
considerations of congestion control.
http://datatracker.ietf.org/doc/draft-ietf-fecframe-framework/ under
History
The document only talks about limiting to twice the bandwidth of the
source flow.
I think more text would be helpful so people understand what was
considered, not just the result.
Yu might be able to cut-and-paste some text from Marshall's review.

I think those are all fairly simple fixes. I agree with publishing an
update so they can clear if they want.

The operations and management should be addressesd to satisfy the
DISCUSS by Dan (which started as a comment from Adrian):
"I would like to raise the issue raised by Adrian to a DISCUSS - such
a document
is expected to include information about operational impact and
manageability of
devices and networks that will compy to the framework, also indication
about
what kind of operations and manageability information future
specifications of
protocols that comply to the framwork would include. This document
includes no
such information. I would like to discuss this in the call, maybe
these issues
are covered in other fecframe documents, or future work planned by the
WG."

dbh

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Adrian Farrel
> Sent: Thursday, September 23, 2010 2:13 AM
> To: [email-masked]
> Cc: [email-masked]; 
> [email-masked]
> Subject: COMMENT: draft-ietf-fecframe-framework 
> 
> Comment:
> 
> Thanks for this document.
> 
> I have a Comment that might generate a substantial piece of 
> work for you. I do not feel strongly enough to enter a 
> Discuss, but it would be great if you thought about it and 
> maybe added to the document.
> 
> It would be helpful, I think, if a framework/architecture 
> like this included a discussion of how the systems and 
> networks described are operated and managed. You might look 
> at RFC 5706 for guidance.
> 
> --
> 
> I have a cople minor comments about Section 8
> 
>       The authors of this draft are primarily interested in 
> applications
> 
> s/draft/document/
> 
>       We propose a third approach, which is to require at a 
> minimum that
>       the use of this framework with any given application, 
> in any given
>       environment, does not cause congestion issues which the
>       application alone would not itself cause i.e. the use of this
>       framework must not make things worse.
> 
> This is a Standards Track document. s/propose/define/
>